Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.entries.controls
Interface FeedEntriesCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface FeedEntriesCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `FEED_ENTRY` ObjectClass, `Nodes` of that type (wrapped in a `FeedEntry`/No

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FEED_ENTRY`
`static String` | `FIND_ALL`
`static String` | `FIND_ARCHIVE`
`static String` | `FIND_ONE`
`static String` | `FIND_PARENT_AND_UID`
`static String` | `FIND_UID`

Method Summary
`FeedEntry` | `createFeedEntry(String title, String description, String visibility, String owner, BinaryValue entryDescription, String author, String link, String uri, Calendar date, BinaryValue content, boolean isArchived, String uid, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` creates the `FEED_ENTRY ObjectClass` and `Node`s of that type (wrapped in an `FeedEntry`) `FEED_ENTRY` extends the `COMMUNITY_CONTENT` ObjectClass
`List<FeedEntry>` | `getAllFeedEntries(String[] path)` Returns null if none found.
`List<FeedEntry>` | `getFeedEntriesByArchive(boolean archive_status, String[] path)` Find entries by their archived status in a specified folder.
`FeedEntry` | `getFeedEntry(String title)` Returns null if none found.
`FeedEntry` | `getFeedEntryByUid(String uid)` Returns null if none found.
`FeedEntry` | `getFeedEntryByUid(String uid, String[] paths)` Find Entries under the specified folder with a given UID.
`void` | `removeFeedEntry(String title)`
`void` | `removeFeedEntryByUid(String uid)`
`void` | `removeFeedEntryByUid(String parentUid, String uid)` Safe delete, will not remove archived entries

Field Detail

### FEED_ENTRY

    static final String FEED_ENTRY

See Also
  Constants Summary

### FIND_ONE

    static final String FIND_ONE

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

### FIND_UID

    static final String FIND_UID

See Also
  Constants Summary

### FIND_ARCHIVE

    static final String FIND_ARCHIVE

See Also
  Constants Summary

### FIND_PARENT_AND_UID

    static final String FIND_PARENT_AND_UID

See Also
  Constants Summary

Method Detail

### createFeedEntry

    FeedEntry createFeedEntry(String title,
                              String description,
                              String visibility,
                              String owner,
                              BinaryValue entryDescription,
                              String author,
                              String link,
                              String uri,
                              Calendar date,
                              BinaryValue content,
                              boolean isArchived,
                              String uid,
                              ID parentId,
                              ID[] relatedNodes,
                              Set<CmxControl.PropertyPair> dynamicProps)
                              throws AuthenticationException,
                                     AuthorizationException,
                                     NodeExistsException,
                                     NoSuchObjectClassException,
                                     RepositoryException,
                                     InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     SQLException,
                                     GSNonUniqueContentException

  creates the `FEED_ENTRY ObjectClass` and `Node`s of that type (wrapped in an `FeedEntry`)

  `FEED_ENTRY` extends the `COMMUNITY_CONTENT` ObjectClass

  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

### getFeedEntry

    FeedEntry getFeedEntry(String title)
                           throws InstantiationException,
                                  IllegalAccessException,
                                  InvocationTargetException,
                                  com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                  AuthenticationException,
                                  AuthorizationException,
                                  NoSuchNodeException,
                                  RepositoryException

  Returns null if none found.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFeedEntryByUid

    FeedEntry getFeedEntryByUid(String uid)
                                throws InstantiationException,
                                       IllegalAccessException,
                                       InvocationTargetException,
                                       com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                       AuthenticationException,
                                       AuthorizationException,
                                       NoSuchNodeException,
                                       RepositoryException

  Returns null if none found.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFeedEntryByUid

    FeedEntry getFeedEntryByUid(String uid,
                                String[] paths)
                                throws InstantiationException,
                                       IllegalAccessException,
                                       InvocationTargetException,
                                       com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                       AuthenticationException,
                                       AuthorizationException,
                                       NoSuchNodeException,
                                       RepositoryException

  Find Entries under the specified folder with a given UID. Returns null if none found.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getFeedEntriesByArchive

    List<FeedEntry> getFeedEntriesByArchive(boolean archive_status,
                                            String[] path)
                                            throws InstantiationException,
                                                   IllegalAccessException,
                                                   InvocationTargetException,
                                                   com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                   AuthenticationException,
                                                   AuthorizationException,
                                                   NoSuchNodeException,
                                                   RepositoryException

  Find entries by their archived status in a specified folder. Returns null if none found.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeFeedEntry

    void removeFeedEntry(String title)
                         throws InstantiationException,
                                IllegalAccessException,
                                InvocationTargetException,
                                com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                AuthenticationException,
                                AuthorizationException,
                                NoSuchNodeException,
                                RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeFeedEntryByUid

    void removeFeedEntryByUid(String uid)
                              throws InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### removeFeedEntryByUid

    void removeFeedEntryByUid(String parentUid,
                              String uid)
                              throws InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Safe delete, will not remove archived entries

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

### getAllFeedEntries

    List<FeedEntry> getAllFeedEntries(String[] path)
                                      throws InstantiationException,
                                             IllegalAccessException,
                                             InvocationTargetException,
                                             com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                             AuthenticationException,
                                             AuthorizationException,
                                             NoSuchNodeException,
                                             RepositoryException

  Returns null if none found.

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved